package com.ejie.ab78.exceptions;

import javax.xml.ws.WebFault;

@WebFault(name = "Ab78Exception", targetNamespace = "http://ab78.exe.webservice/")
public class Ab78Exception extends Exception {

	private static final long serialVersionUID = -2823891626272710101L;

	private Ab78ExceptionGeneral faultInfo = new Ab78ExceptionGeneral();

	public Ab78Exception(String codigo, String mensajeCastellano, String mensajeEuskera) {
		faultInfo.setCodigo(codigo);
		faultInfo.setMensajeCastellano(mensajeCastellano);
		faultInfo.setMensajeEuskera(mensajeEuskera);

	}

	public Ab78ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

	public void setFaultInfo(Ab78ExceptionGeneral faultInfo) {
		this.faultInfo = faultInfo;
	}

}
